Show / Hide Table of Contents

# Class AttachmentExtensions

##### Inheritance

System.Object
AttachmentExtensions

##### Inherited Members

System.Object.ToString()
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()

###### Namespace: Discord

###### Assembly: Discord.Net.Core.dll

##### Syntax

    public static class AttachmentExtensions

### Fields

| Improve this Doc View Source

#### SpoilerPrefix

The prefix applied to files to indicate that it is a spoiler.

##### Declaration

    public const string SpoilerPrefix = "SPOILER_"

##### Field Value

Type | Description
--- | ---
System.String |

### Methods

| Improve this Doc View Source

#### IsSpoiler(IAttachment)

Gets whether the message's attachments are spoilers or not.

##### Declaration

    public static bool IsSpoiler(this IAttachment attachment)

##### Parameters

Type | Name | Description
--- | --- | ---
IAttachment | attachment |

##### Returns

Type | Description
--- | ---
System.Boolean |